@ECHO OFF

REM Release Batch File for STM32NUCLEO_BSP

SETLOCAL ENABLEEXTENSIONS ENABLEDELAYEDEXPANSION

REM *******************************************
REM   Relase process setup
REM   Command syntax: gen_pack.bat
REM
REM   One permitted parameter:
REM   rebuild a package of a specific date/time
REM   Release Date e.g. -r{2013-04-17T17:00}
REM *******************************************

SET RELEASE_PATH=..\..\..\Local_Release\Keil\STM32NUCLEO_BSP
SET PACK_WAREHOUSE=..\..\..\PACK_Warehouse
SET EXPORT_BAT=..\..\..\ZIP\ListExportSVN.bat


REM SVN Repository Root URLs
SET PACK_SVNROOT=http://cam-svn1.cambridge.arm.com/svn/devsys/uv/ARM/PACK

SET EXPORT_FAILED=


REM Setting Subversion Revision via command line
SET SVN_REVISION=
IF NOT "%~1"=="" (
  SET SVN_REVISION=%~1
)

REM *** remove previous build if it exists ***
IF EXIST %RELEASE_PATH% (
  echo removing %RELEASE_PATH%
  RMDIR /Q /S  %RELEASE_PATH%
)

REM *** Create build output directory including missing parent directories
MKDIR %RELEASE_PATH%

REM *** create PACK destination folder if it does not exist
IF NOT EXIST %PACK_WAREHOUSE% (
  MKDIR %PACK_WAREHOUSE%
)

REM **************
REM  SVN Exports
REM **************

REM BSP PACK Files
CALL %EXPORT_BAT% %PACK_SVNROOT% "STMicroelectronics/STM32NUCLEO_BSP" %RELEASE_PATH% "%SVN_REVISION%"
IF NOT "%ERRORLEVEL%"=="0" SET EXPORT_FAILED=%ERRORLEVEL%

DEL %RELEASE_PATH%\gen_pack*.bat
DEL %RELEASE_PATH%\ChangeLog.txt

IF NOT "%EXPORT_FAILED%" == "" (
	ECHO **************************************************
	ECHO *
	ECHO *  One or more SVN exports failed!               
	ECHO *  Aborting %~nx0 ...                            
	ECHO *
	ECHO **************************************************
	@PAUSE
	EXIT /B 1
)

REM ************
REM  Packaging
REM ************
..\..\..\ZIP\PackZip.exe -i %RELEASE_PATH% -o %PACK_WAREHOUSE%
